import request from "@/utils/request";

// 标书审查-提交审批
export function apibidDocumentExaminationApprove(params: any) {
  return request.post({ url: "/bid.bid_document_examination/approve", params });
}
// 标书审查-审批详情
export function apibidDocumentExaminationFlows() {
  return request.get({ url: "/bid.bid_document_examination/flows" });
}

// 投标决策-提交审批
export function apibid_bidding_decisionApprove(params: any) {
  return request.post({ url: "/bid.bid_bidding_decision/approve", params });
}
// 投标决策-审批详情
export function apibid_bidding_decisionFlows() {
  return request.get({ url: "/bid.bid_bidding_decision/flows" });
}

//  购买标书-提交审批
export function apibid_buy_bidding_documentApprove(params: any) {
  return request.post({ url: "/bid.bid_buy_bidding_document/approve", params });
}
// 购买标书-审批详情
export function apibid_buy_bidding_documentFlows() {
  return request.get({ url: "/bid.bid_buy_bidding_document/flows" });
}
// 项目合同-提交审批
export function apicontractApprove(params: any) {
  return request.post({ url: "/contract.contract/approve", params });
}
// 项目合同-审批详情
export function apicontractFlows() {
  return request.get({ url: "/contract.contract/flows" });
}

// 合同洽商-提交审批
export function apicontract_negotiationApprove(params: any) {
  return request.post({
    url: "/contract.contract_negotiation/approve",
    params,
  });
}
// 合同洽商-审批详情
export function apicontract_negotiationFlows() {
  return request.get({ url: "/contract.contract_negotiation/flows" });
}

// 采购合同-提交审批
export function apiprocurement_contractApprove(params: any) {
  return request.post({
    url: "/contract.procurement_contract/approve",
    params,
  });
}
// 采购合同-审批详情
export function apiprocurement_contractFlows() {
  return request.get({ url: "/contract.procurement_contract/flows" });
}

// 分包合同-提交审批
export function apisubcontracting_contractApprove(params: any) {
  return request.post({
    url: "/contract.subcontracting_contract/approve",
    params,
  });
}
// 分包合同-审批详情
export function apisubcontracting_contractFlows() {
  return request.get({ url: "/contract.subcontracting_contract/flows" });
}

// 分包洽商-提交审批
export function apisubcontracting_contract_negotiationApprove(params: any) {
  return request.post({
    url: "/contract.subcontracting_contract_negotiation/approve",
    params,
  });
}
// 分包洽商-审批详情
export function apisubcontracting_contract_negotiationFlows() {
  return request.get({
    url: "/contract.subcontracting_contract_negotiation/flows",
  });
}

// 开票申请-提交审批
export function apiInvoicingRequestsApprove(params: any) {
  return request.post({
    url: "/finance.finance_invoice_apply/approve",
    params,
  });
}
// 开票申请-审批详情
export function apiInvoicingRequestsFlows() {
  return request.get({ url: "/finance.finance_invoice_apply/flows" });
}

// 回款计划-提交审批
export function apifinance_returned_moneyApprove(params: any) {
  return request.post({
    url: "/finance.finance_returned_money/approve",
    params,
  });
}
// 回款计划-审批详情
export function apifinance_returned_moneyFlows() {
  return request.get({ url: "/finance.finance_returned_money/flows" });
}

// 回款记录-提交审批
export function apifinance_returned_recordApprove(params: any) {
  return request.post({
    url: "/finance.finance_returned_record/approve",
    params,
  });
}
// 回款记录-审批详情
export function apifinance_returned_recordFlows() {
  return request.get({ url: "/finance.finance_returned_record/flows" });
}
// 退款申请-提交审批
export function apifinance_refund_applyApprove(params: any) {
  return request.post({ url: "/finance.finance_refund_apply/approve", params });
}
// 退款申请-审批详情
export function apifinance_refund_applydFlows() {
  return request.get({ url: "/finance.finance_refund_apply/flows" });
}

// 收票记录-提交审批
export function apifinance_receipt_recordApprove(params: any) {
  return request.post({
    url: "/finance.finance_receipt_record/approve",
    params,
  });
}
// 收票记录-审批详情
export function apifinance_receipt_recordFlows() {
  return request.get({ url: "/finance.finance_receipt_record/flows" });
}
// 付款计划-提交审批
export function apifinance_payment_planApprove(params: any) {
  return request.post({ url: "/finance.finance_payment_plan/approve", params });
}
// 付款计划-审批详情
export function apifinance_payment_planFlows() {
  return request.get({ url: "/finance.finance_payment_plan/flows" });
}

// 付款申请-提交审批
export function apifinance_payment_applyApprove(params: any) {
  return request.post({
    url: "/finance.finance_payment_apply/approve",
    params,
  });
}
// 付款申请-审批详情
export function apifinance_payment_applyFlows() {
  return request.get({ url: "/finance.finance_payment_apply/flows" });
}

// 退款记录-提交审批
export function apifinance_refund_recordApprove(params: any) {
  return request.post({
    url: "/finance.finance_refund_record/approve",
    params,
  });
}
// 退款记录-审批详情
export function apifinance_refund_recordFlows() {
  return request.get({ url: "/finance.finance_refund_record/flows" });
}
// 保证金-提交审批
export function apibid_security_applyApprove(params: any) {
  return request.post({ url: "/bid.bid_security_apply/approve", params });
}
// 保证金-审批详情
export function apibid_security_applyFlows() {
  return request.get({ url: "/bid.bid_security_apply/flows" });
}
// 推投标保证金-提交审批
export function apibid_security_refundApprove(params: any) {
  return request.post({ url: "/bid.bid_security_refund/approve", params });
}
// 推投标保证金-审批详情
export function apbid_security_refundFlows() {
  return request.get({ url: "/bid.bid_security_refund/flows" });
}
// 项目结算-提交审批
export function apiproject_settlementApprove(params: any) {
  return request.post({ url: "/project.project_settlement/approve", params });
}
// 项目结算-审批详情
export function apiproject_settlementFlows() {
  return request.get({ url: "/project.project_settlement/flows" });
}

// 分包结算-提交审批
export function apiproject_subcontract_settlementApprove(params: any) {
  return request.post({
    url: "/project.project_subcontract_settlement/approve",
    params,
  });
}
// 分包结算-审批详情
export function apiproject_subcontract_settlementFlows() {
  return request.get({ url: "/project.project_subcontract_settlement/flows" });
}

// 总预算-提交审批
export function apiproject_total_budgetApprove(params: any) {
  return request.post({ url: "/project.project_total_budget/approve", params });
}
// 总预算-审批详情
export function apiproject_total_budgetFlows() {
  return request.get({ url: "/project.project_total_budget/flows" });
}

// 材料预算-提交审批
export function apiproject_material_budgetApprove(params: any) {
  return request.post({
    url: "/project.project_material_budget/approve",
    params,
  });
}
// 材料预算-审批详情
export function apiproject_material_budgetFlows() {
  return request.get({ url: "/project.project_material_budget/flows" });
}

// 材料预算明细-提交审批
export function apiproject_material_budget_detailApprove(params: any) {
  return request.post({
    url: "/project.project_material_budget_detail/approve",
    params,
  });
}
// 材料预算明细-审批详情
export function apiproject_material_budget_detailFlows() {
  return request.get({ url: "/project.project_material_budget_detail/flows" });
}

// 分包预算-提交审批
export function apiproject_subpackage_budgetApprove(params: any) {
  return request.post({
    url: "/project.project_subpackage_budget/approve",
    params,
  });
}
// 分包预算-审批详情
export function apiproject_subpackage_budgetFlows() {
  return request.get({ url: "/project.project_subpackage_budget/flows" });
}

// 分包预算明细-提交审批
export function apiproject_subpackage_budget_detailApprove(params: any) {
  return request.post({
    url: "/project.project_subpackage_budget_detail/approve",
    params,
  });
}
// 分包预算明细-审批详情
export function approject_subpackage_budget_detailFlows() {
  return request.get({
    url: "/project.project_subpackage_budget_detail/flows",
  });
}

// 人工预算-提交审批
export function apiproject_labor_budgetApprove(params: any) {
  return request.post({ url: "/project.project_labor_budget/approve", params });
}
// 人工预算-审批详情
export function apiproject_labor_budgetFlows() {
  return request.get({ url: "/project.project_labor_budget/flows" });
}
// 机具预算-提交审批
export function apiproject_equipment_budgetApprove(params: any) {
  return request.post({
    url: "/project.project_equipment_budget/approve",
    params,
  });
}
// 机具预算-审批详情
export function apiproject_equipment_budgetFlows() {
  return request.get({ url: "/project.project_equipment_budget/flows" });
}
// 费用预算-提交审批
export function apiproject_cost_budgetApprove(params: any) {
  return request.post({ url: "/project.project_cost_budget/approve", params });
}
// 费用预算-审批详情
export function apiproject_cost_budgetFlows() {
  return request.get({ url: "/project.project_cost_budget/flows" });
}

// 出差申请-提交审批
export function apiproject_trip_applyApprove(params: any) {
  return request.post({ url: "/project.project_trip_apply/approve", params });
}
// 出差申请-审批详情
export function apiproject_trip_applyFlows() {
  return request.get({ url: "/project.project_trip_apply/flows" });
}

// 借款申请-提交审批
export function apiproject_loan_applyApprove(params: any) {
  return request.post({ url: "/project.project_loan_apply/approve", params });
}
// 借款申请-审批详情
export function apiproject_loan_applyFlows() {
  return request.get({ url: "/project.project_loan_apply/flows" });
}
// 成本调整-提交审批
export function apiproject_cost_adjustmentApprove(params: any) {
  return request.post({
    url: "/project.project_cost_adjustment/approve",
    params,
  });
}
// 成本调整-审批详情
export function apiproject_cost_adjustmentFlows() {
  return request.get({ url: "/project.project_cost_adjustment/flows" });
}

// 差旅报销-提交审批
export function apiproject_travel_reimbursementApprove(params: any) {
  return request.post({
    url: "/project.project_travel_reimbursement/approve",
    params,
  });
}
// 差旅报销-审批详情
export function apiproject_travel_reimbursementFlows() {
  return request.get({ url: "/project.project_travel_reimbursement/flows" });
}
// 差旅报销-提交审批
export function apiproject_expense_reimbursementApprove(params: any) {
  return request.post({
    url: "/project.project_expense_reimbursement/approve",
    params,
  });
}
// 差旅报销-审批详情
export function apiproject_expense_reimbursementFlows() {
  return request.get({ url: "/project.project_expense_reimbursement/flows" });
}

// 采购申请-提交审批
export function apimaterial_purchase_requestApprove(params: any) {
  return request.post({
    url: "/material.material_purchase_request/approve",
    params,
  });
}
// 采购申请-审批详情
export function apimaterial_purchase_requestFlows() {
  return request.get({ url: "/material.material_purchase_request/flows" });
}

// 框架协议
export function apimarketing_framework_agreementFlows() {
  return request.get({
    url: "/marketing.marketing_framework_agreement/flows",
  });
}

// 框架协议-提交审批
export function apimarketing_framework_agreementApprove(params: any) {
  return request.post({
    url: "/marketing.marketing_framework_agreement/approve",
    params,
  });
}

// 合同列表
export function apimarketing_contractFlows() {
  return request.get({
    url: "/marketing.marketing_contract/flows",
  });
}

// 框架协议-提交审批
export function apimarketing_contractApprove(params: any) {
  return request.post({
    url: "/marketing.marketing_contract/approve",
    params,
  });
}

// 合同列表
export function apimarketing_supplementary_agreementFlows() {
  return request.get({
    url: "/marketing.marketing_supplementary_agreement/flows",
  });
}

// 框架协议-提交审批
export function apimarketing_supplementary_agreementApprove(params: any) {
  return request.post({
    url: "adminapi/marketing.marketing_supplementary_agreement/approve",
    params,
  });
}
